Get all donations
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/donations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/donations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/donations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "don_Kpcjx4HIQ1e4bTIOjX9CsA",
"shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
"status": "OPEN",
"email": "supporter@fourthwall.com",
"amounts": {
"total": {
"value": 10,
"currency": "USD"
}
},
"createdAt": "2020-08-13T09:05:36.939Z",
"updatedAt": "2020-08-13T09:05:36.939Z",
"username": "Johnny123",
"message": "Sample message"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Donations
List Donations
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all donations with pagination. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
donations
Get all donations
OAuth scope:
donation_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.